## Index

### Classes

- DataSet

### Type aliases

- ColumnArrayOptions
- Data
- DataSetTransform
- Datum
- FitColumnsOption
- FitColumnsOptions
- Matrix
- OneHotEncodedData
- OneHotEncoderOptions
- ReverseColumnMatrixOptions
- ReverseColumnVectorOptions
- Vector
- variableLabels

### Object literals

- transformConfigMap

## Type aliases

### ColumnArrayOptions

ColumnArrayOptions: {}

- Defined in DataSet.ts:43

#### Type declaration

- ##### [index: string]: any

### Data

Data: Datum[]

- Defined in DataSet.ts:61

### DataSetTransform

DataSetTransform: {}

- Defined in DataSet.ts:22

#### Type declaration

- ##### [index: string]: string[] | any

### Datum

Datum: {}

- Defined in DataSet.ts:58

#### Type declaration

- ##### [index: string]: any

### FitColumnsOption

FitColumnsOption: { name: string; options?: undefined | {} }

- Defined in DataSet.ts:25

#### Type declaration

- ##### name: string

- ##### Optional options?: undefined | {}

### FitColumnsOptions

FitColumnsOptions: FitColumnsOption[]

- Defined in DataSet.ts:32

### Matrix

Matrix: number[][]

- Defined in DataSet.ts:34

### OneHotEncodedData

OneHotEncodedData: {}

- Defined in DataSet.ts:54

#### Type declaration

- ##### [index: string]: Vector

### OneHotEncoderOptions

OneHotEncoderOptions: { columnArrayOptions: ColumnArrayOptions; data: Vector; merge: boolean; prefix: string }

- Defined in DataSet.ts:47

#### Type declaration

- ##### columnArrayOptions: ColumnArrayOptions

- ##### data: Vector

- ##### merge: boolean

- ##### prefix: string

### ReverseColumnMatrixOptions

ReverseColumnMatrixOptions: { labels?: string[]; vectors?: Matrix }

- Defined in DataSet.ts:35

#### Type declaration

- ##### Optional labels?: string[]

- ##### Optional vectors?: Matrix

### ReverseColumnVectorOptions

ReverseColumnVectorOptions: { labels?: string[]; vector?: Vector }

- Defined in DataSet.ts:39

#### Type declaration

- ##### Optional labels?: string[]

- ##### Optional vector?: Vector

### Vector

Vector: number[]

- Defined in DataSet.ts:33

### variableLabels

variableLabels: Array<Array<string>>

- Defined in DataSet.ts:46

## Object literals

### Const transformConfigMap

transformConfigMap: object

- Defined in DataSet.ts:5

### descale

descale: string = "descaleOptions"

- Defined in DataSet.ts:7

### label

label: string = "labelOptions"

- Defined in DataSet.ts:8

### labelDecode

labelDecode: string = "labelOptions"

- Defined in DataSet.ts:11

### labelDecoder

labelDecoder: string = "labelOptions"

- Defined in DataSet.ts:12

### labelEncoder

labelEncoder: string = "labelOptions"

- Defined in DataSet.ts:9

### labeldecode

labeldecode: string = "labelOptions"

- Defined in DataSet.ts:10

### merge

merge: string = "mergeData"

- Defined in DataSet.ts:19

### oneHot

oneHot: string = "oneHotOptions"

- Defined in DataSet.ts:14

### oneHotEncode

oneHotEncode: string = "oneHotOptions"

- Defined in DataSet.ts:15

### oneHotEncoder

oneHotEncoder: string = "oneHotOptions"

- Defined in DataSet.ts:16

### onehot

onehot: string = "oneHotOptions"

- Defined in DataSet.ts:13

### reduce

reduce: string = "reducerOptions"

- Defined in DataSet.ts:18

### reducer

reducer: string = "reducerOptions"

- Defined in DataSet.ts:17

### scale

scale: string = "scaleOptions"

- Defined in DataSet.ts:6